#pragma once
#include <map>
struct M_ActivityHappySummerLuckyTurnCFGData
{
	//编号
	int mID;
	//道具
	int mItem;
	//数量
	int mCount;
	//权重
	int mWeight;
};

class M_ActivityHappySummerLuckyTurnCFG
{
public:
private:
	static std::auto_ptr<M_ActivityHappySummerLuckyTurnCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityHappySummerLuckyTurnCFGData* GetData(int ID);
	const std::map<int, M_ActivityHappySummerLuckyTurnCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityHappySummerLuckyTurnCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityHappySummerLuckyTurnCFGData> mMapData;
};
